## xen-common 3.2.0

=== tools/examples/Makefile ===
--- 
+++ 
@@ -9,6 +9,9 @@
 # Xen configuration dir and configs to go there.
 XEN_CONFIG_DIR = /etc/xen
 XEN_CONFIGS = xend-config.sxp
+XEN_CONFIGS += xend-config-xenapi.sxp
+XEN_CONFIGS += xm-config.xml
+XEN_CONFIGS += xm-config-xenapi.xml
 XEN_CONFIGS += xmexample1 
 XEN_CONFIGS += xmexample2
 XEN_CONFIGS += xmexample.hvm
@@ -73,7 +76,7 @@
 		$(INSTALL_DIR) $(DESTDIR)$(XEN_CONFIG_DIR)
 	[ -d $(DESTDIR)$(XEN_CONFIG_DIR)/auto ] || \
 		$(INSTALL_DIR) $(DESTDIR)$(XEN_CONFIG_DIR)/auto
-	for i in $(XEN_CONFIGS); \
+	set -e; for i in $(XEN_CONFIGS); \
 	    do [ -e $(DESTDIR)$(XEN_CONFIG_DIR)/$$i ] || \
 	    $(INSTALL_DATA) $$i $(DESTDIR)$(XEN_CONFIG_DIR); \
 	done
@@ -82,11 +85,11 @@
 install-scripts:
 	[ -d $(DESTDIR)$(XEN_SCRIPT_DIR) ] || \
 		$(INSTALL_DIR) $(DESTDIR)$(XEN_SCRIPT_DIR)
-	for i in $(XEN_SCRIPTS); \
+	set -e; for i in $(XEN_SCRIPTS); \
 	    do \
 	    $(INSTALL_PROG) $$i $(DESTDIR)$(XEN_SCRIPT_DIR); \
 	done
-	for i in $(XEN_SCRIPT_DATA); \
+	set -e; for i in $(XEN_SCRIPT_DATA); \
 	    do \
 	    $(INSTALL_DATA) $$i $(DESTDIR)$(XEN_SCRIPT_DIR); \
 	done
@@ -95,7 +98,7 @@
 install-hotplug:
 	[ -d $(DESTDIR)$(XEN_HOTPLUG_DIR) ] || \
 		$(INSTALL_DIR) $(DESTDIR)$(XEN_HOTPLUG_DIR)
-	for i in $(XEN_HOTPLUG_SCRIPTS); \
+	set -e; for i in $(XEN_HOTPLUG_SCRIPTS); \
 	    do \
 	    $(INSTALL_PROG) $$i $(DESTDIR)$(XEN_HOTPLUG_DIR); \
 	done
@@ -104,11 +107,10 @@
 install-udev:
 	[ -d $(DESTDIR)$(UDEV_RULES_DIR) ] || \
 		$(INSTALL_DIR) $(DESTDIR)$(UDEV_RULES_DIR)/rules.d
-	for i in $(UDEV_RULES); \
+	set -e; for i in $(UDEV_RULES); \
 	    do \
 	    $(INSTALL_DATA) $$i $(DESTDIR)$(UDEV_RULES_DIR); \
-	    ( cd $(DESTDIR)$(UDEV_RULES_DIR)/rules.d ; \
-	        ln -sf ../$$i . ) \
+	    ln -sf ../$$i $(DESTDIR)$(UDEV_RULES_DIR)/rules.d; \
 	done
 
 .PHONY: clean
