## xen-common 4.0.0

=== debian/changelog ===
xen-common (4.0.0-1) unstable; urgency=low

  * New upstream version.
  * Move README from versioned packages.
  * Add note about own README to xend config.
  * Again support versions with ABI used up to Lenny. (closes: #584804)
  * Depend against gawk. (closes: #578302)

 -- Bastian Blank <waldi@debian.org>  Mon, 21 Jun 2010 17:09:01 +0200

xen-common (3.4.2-4) unstable; urgency=low

  * Ignore extra version in version lookup.

 -- Bastian Blank <waldi@debian.org>  Fri, 26 Mar 2010 10:02:20 +0100

xen-common (3.4.2-3) unstable; urgency=low

  * Load xen-evtchn module.
  * Really include xenpm wrapper.
  * Use /bin/sh.
  * Use 3.0 (quilt) source format.

 -- Bastian Blank <waldi@debian.org>  Mon, 01 Mar 2010 21:05:26 +0000

xen-common (3.4.2-2) unstable; urgency=low

  * Redefine Xen version tests to allow detection of bare metal.
    (closes: #556859)
  * Support oldstyle Xen kernel without xenfs. (closes: #557151)
  * Use debhelper compat level 7.
  * Remove oldstable-only conflicts.
  * Add wrapper for xenpm.

 -- Bastian Blank <waldi@debian.org>  Sun, 22 Nov 2009 16:51:53 +0100

xen-common (3.4.2-1) unstable; urgency=low

  * New upstream version.
  * Check for correct hypervisor type.
  * Fix xend stop. (closes: #555902)
  * Load modules and setup xenfs in xend init script.
  * Move udev rules to /lib/udev/rules.d.

 -- Bastian Blank <waldi@debian.org>  Mon, 16 Nov 2009 19:50:50 +0100

xen-common (3.3.1-2) unstable; urgency=low

  * Fix xenstored pidfile path.

 -- Bastian Blank <waldi@debian.org>  Sat, 18 Jul 2009 15:03:29 +0200

xen-common (3.3.1-1) unstable; urgency=low

  * New upstream version.
  * Use quilt instead of dpatch.
  * Disable network setup instead of using dummy script.
  * Make the init script start all daemons.

 -- Bastian Blank <waldi@debian.org>  Tue, 30 Jun 2009 22:29:37 +0200

xen-common (3.2.0-2) unstable; urgency=low

  [ Guido Trotter ]
  * Fix init script LSB headers (closes: #458502)

  [ Bastian Blank ]
  * Special case unstable versions. 

 -- Bastian Blank <waldi@debian.org>  Fri, 07 Mar 2008 14:19:47 +0100

xen-common (3.2.0-1) unstable; urgency=low

  * New upstream version.
  * Remove xenstore utils. Depend on xenstore-utils.

 -- Bastian Blank <waldi@debian.org>  Tue, 19 Feb 2008 10:21:38 +0000

xen-common (3.1.0-1) unstable; urgency=low

  [ Julien Danjou ]
  * New upstream version
  * Remove interpreters patch, not useful anymore

  [ Guido Trotter ]
  * Handle gracefully domains called Name.* (closes: #432583)

  [ Ralph Passgang ]
  * Create directories with mkdir's "-p" option
  * Create $(BUILD_DIR)/docs/out before pod2man is executed.

 -- Bastian Blank <waldi@debian.org>  Mon, 20 Aug 2007 15:47:43 +0000

xen-common (3.0.4-1-2) unstable; urgency=low

  * Hide error message when xen-utils-version is not there (closes: #422667)
    (Thanks to Vincent Bernat)

 -- Guido Trotter <ultrotter@debian.org>  Tue, 19 Jun 2007 10:10:27 +0100

xen-common (3.0.4-1-1) unstable; urgency=low

  [ Julien Danjou ]
  * Fix typo in init.d script (Closes: #404078)

  [ Guido Trotter ]
  * New upstream release
  * Fix xendomains init.d script for long domain names (Closes: #395305)

 -- Guido Trotter <ultrotter@debian.org>  Wed, 23 May 2007 13:24:53 +0100

xen-common (3.0.3-0-2) unstable; urgency=medium

  * Make xen-utils-common depend on udev (closes: #398372)

 -- Guido Trotter <ultrotter@debian.org>  Mon, 13 Nov 2006 14:07:43 +0000

xen-common (3.0.3-0-1) unstable; urgency=medium

  [ Bastian Blank ]
  * Add manpages. (Closes: #394931)

  [ Julien Danjou ]
  * Don't fail on loading netloop if it does not exist (Closes: #396477)

  [ Guido Trotter ]
  * New upstream release

 -- Guido Trotter <ultrotter@debian.org>  Thu,  2 Nov 2006 16:41:17 +0000

xen-common (3.0+hg11624-2) unstable; urgency=low

  * Add qemu-ifup script.

 -- Bastian Blank <waldi@debian.org>  Sun,  8 Oct 2006 17:01:05 +0000

xen-common (3.0+hg11624-1) unstable; urgency=medium

  * New upstream snapshot.
  * Load netloop module if necessary. (closes: #388352)
  * Set urgency to medium.

 -- Bastian Blank <waldi@debian.org>  Wed, 27 Sep 2006 09:15:40 +0000

xen-common (3.0+hg11292-2) unstable; urgency=low

  * Add lsb init info blocks.
  * Don't fail if no working xend is available.

 -- Bastian Blank <waldi@debian.org>  Sat,  9 Sep 2006 11:37:52 +0000

xen-common (3.0+hg11292-1) unstable; urgency=low

  * New upstream snapshot.
  * Create /var/log/xen.

 -- Bastian Blank <waldi@debian.org>  Sat,  2 Sep 2006 16:28:41 +0000

xen-common (3.0+hg11205-1) unstable; urgency=low

  * Initial release.

 -- Bastian Blank <waldi@debian.org>  Sun, 27 Aug 2006 17:46:22 +0000
