=== debian/control ===
Source: xen-common
Section: kernel
Priority: optional
Maintainer: Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>, Guido Trotter <ultrotter@debian.org>, Bastian Blank <waldi@debian.org>
Standards-Version: 3.8.4
Build-Depends: debhelper (>> 7), quilt

Package: xen-utils-common
Architecture: all
Depends: gawk, lsb-base, udev, xenstore-utils, ${misc:Depends}
Description: XEN administrative tools - common files
 The userspace tools to manage a system virtualized through the XEN virtual
 machine monitor.
