## xen-common 4.1.0~rc6

=== debian/changelog ===
xen-common (4.1.0~rc6-1ubuntu1) oneiric; urgency=low

  * debian/xen-utils-common.xend.init: Added modprobe xen_blkback and 
    xen_netback, as they are not automatically loaded with Oneiric.
    This can be dropped for 12.04 release. (LP: #803488)

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Fri, 07 Oct 2011 18:47:50 +0100

xen-common (4.1.0~rc6-1) unstable; urgency=low

  * New upstream release candidate.
  * Use /var/run for xenstored db.
  * Install common hotplug scripts. (closes: #591456)
  * Install xl config and cpupool example.
  * Install xl wrapper.

 -- Bastian Blank <waldi@debian.org>  Wed, 23 Mar 2011 10:47:52 +0100
