=== debian/rules ===
--- 
+++ 
@@ -12,19 +12,16 @@
 BUILD_DIR = debian/build
 STAMPS_DIR = debian/stamps
 
-$(STAMPS_DIR)/source:
-	@mkdir -p $(STAMPS_DIR)
-	QUILT_PATCHES=$(CURDIR)/debian/patches quilt --quiltrc /dev/null push -a || test $$? = 2
-	touch $@
+stamp = [ -d $(dir $@) ] || mkdir $(dir $@); touch $@
 
 $(STAMPS_DIR)/setup: SOURCE_FILES = $(filter-out debian, $(wildcard *))
 $(STAMPS_DIR)/setup: DIR=$(BUILD_DIR)
-$(STAMPS_DIR)/setup: $(STAMPS_DIR)/source
+$(STAMPS_DIR)/setup:
 	@rm -rf $(DIR)
 	mkdir $(DIR)
 	cp -al $(SOURCE_FILES) $(DIR)
 	cp -al debian/scripts $(DIR)
-	touch $@
+	$(stamp)
 
 build: $(STAMPS_DIR)/setup
 	make -C $(BUILD_DIR)/docs man-pages
@@ -55,12 +52,13 @@
 	rm -rf $(filter-out $(NO_ORIG), $(wildcard * .[^.]*))
 
 install: export DESTDIR=$(CURDIR)/debian/tmp
-install: $(STAMPS_DIR)/source
+install:
 	dh_testdir
 	dh_testroot
 	dh_prep
 	$(MAKE) -C $(BUILD_DIR)/tools/examples install-configs
-	$(MAKE) -C $(BUILD_DIR)/tools/hotplug/Linux install-udev install-scripts UDEV_RULES_DIR=/lib/udev/rules.d
+	$(MAKE) -C $(BUILD_DIR)/tools/hotplug/common install-scripts
+	$(MAKE) -C $(BUILD_DIR)/tools/hotplug/Linux install-udev install-scripts UDEV_RULES_DIR=/lib/udev
 	$(MAKE) -C $(BUILD_DIR)/scripts install
 
 binary-indep: install
