=== debian/changelog ===
xen-common (4.1.2-1) unstable; urgency=low

  [ Julien Danjou ]
  * New upstream release.
  * Remove Julien Danjou from the Uploaders field.

  [ Bastian Blank ]
  * Add support for xl toolstack.
  * Add script to call currently selected toolstack if possible.

 -- Bastian Blank <waldi@debian.org>  Thu, 27 Oct 2011 01:20:30 +0200
