=== debian/rules ===
--- 
+++ 
@@ -68,6 +68,7 @@
 	dh_installchangelogs
 	dh_installdocs
 	dh_installexamples
+	dh_installinit -p xen-utils-common --name xen
 	dh_installinit -p xen-utils-common --name xend --no-restart-on-upgrade -- defaults 20 21
 	dh_installinit -p xen-utils-common --name xendomains --no-start -- defaults 21 20
 	dh_installman $(BUILD_DIR)/docs/man1/* $(BUILD_DIR)/docs/man5/*
